<bugID>773570<Summary>Download panel (doorhanger) covers the other application window. And the panel is not going to disappear when I click the other application window</Summary><Description>Created attachment 641775
screen shot

Build Identifier:

http://hg.mozilla.org/mozilla-central/rev/46804c31366b
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0 ID:20120712030541

Steps to Reproduce:
1. Open Firefox
2. Open http://www.kevinroth.com/rte/
3. Click "rte.zip" to open with 7-zip
4. When popup download helper dialog, select Open with 7-zip and Click "OK"

Actual Results:
 Download panel (doorhanger) covers the 7-zip window.
 And the panel is not going to disappear when I click the 7-zip window

Expected Results:
 Download panel should not do that.</Description></bugID>